Skip to content

Capture Bank Account

POST
/api/Checkout/sessions/me/capture-bank
curl --request POST \
--url https://example.com/api/Checkout/sessions/me/capture-bank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "accountName": "example", "bsb": "example", "accountNumber": "example" }'

Tokenises BSB + account number server-side (no hosted bank widget exists) and returns the bank token to hand to complete. Raw bank details are never persisted.

object
sessionId
string format: uuid
accountName
required
string
>= 1 characters <= 200 characters
bsb
required
string
>= 1 characters <= 10 characters
accountNumber
required
string
>= 1 characters <= 20 characters
Example generated
{
"sessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"accountName": "example",
"bsb": "example",
"accountNumber": "example"
}

OK

Media type application/json
object
providerToken
string
nullable
Example generated
{
"providerToken": "example"
}

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}